package com.kingdee.eas.custom.facade.worktime;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.custom.facade.worktime.*;

public class RemindFacade extends AbstractBizCtrl implements IRemindFacade
{
    public RemindFacade()
    {
        super();
        registerInterface(IRemindFacade.class, this);
    }
    public RemindFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IRemindFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("DE213253");
    }
    private RemindFacadeController getController() throws BOSException
    {
        return (RemindFacadeController)getBizController();
    }
    /**
     *除转正、加班、提报单以外，其他单据到审批人节点时间（按天）算起，超过两天未审批则提醒当前审批人-User defined method
     */
    public void remindWraning() throws BOSException
    {
        try {
            getController().remindWraning(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}